package com.wmdigit.digitransfer.exception;

public enum ErrCode {
    PORT_OCCUPIED_EXCEPTION("0001", "端口被占"),
    OUT_TIME_EXCEPTION("0002", "连接超时"),
    RECEIVE_DATA_EXCEPTION("0003", "连接异常");

    private String code;
    private String msg;

    private ErrCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
