package com.wmdigit.transfer.constant;

public enum ControlResponseEnum {

    MASK_SCALE_TYPE_CTRL(4095),
    OK(0),
    FILE_NOT_CREATED(4096),
    NO_FREE_RECORD(8192),
    FILE_CORRUPT(12288),
    NOT_FOUND(16384),
    WRONG_KEY(20480),
    DOUBLE_KEY(24576),
    NETWORT_ERROR(28672),
    DEVICE_BUSY(32768),
    TIME_OUT(36864),
    SCALE_TYPE_ERROR(45056),
    BAD_PARAMETER(49152),
    GENERAL_ERROR(53248),
    UNDEFINED_COMMAND(57344),
    UNPRATICAL(61440);

    private int value;

    private ControlResponseEnum(int i) {
        this.value = i;
    }

    public static ControlResponseEnum fromValue(int i) {
        ControlResponseEnum[] values;
        for (ControlResponseEnum controlResponseEnum : values()) {
            if (controlResponseEnum.value() == i) {
                return controlResponseEnum;
            }
        }
        return null;
    }

    public int value() {
        return this.value;
    }

}
