package com.wmdigit.transfer.constant;

public enum ControlTypeEnum {

    WRITE(0),
    DELETE(1),
    DELETE_ALL(8),
    READ(2),
    READ_GE(3),
    READ_LE(4),
    READ_GT(5),
    READ_LT(6);

    private int value;

    private ControlTypeEnum(int i) {
        this.value = i;
    }

    public static ControlTypeEnum fromValue(int i) {
        ControlTypeEnum[] values;
        for (ControlTypeEnum controlTypeEnum : values()) {
            if (controlTypeEnum.value() == i) {
                return controlTypeEnum;
            }
        }
        return null;
    }

    public int value() {
        return this.value;
    }

}
