package com.wmdigit.transfer.constant;

public enum  DataTypeEnum {
    PLU(207, 1207),
    ACC(209, 1209);

    private int hValue;
    private int value;

    private DataTypeEnum(int i, int i2) {
        this.value = i;
        this.hValue = i2;
    }

    public static DataTypeEnum fromValue(int i, ScaleTypeEnum scaleTypeEnum) {
        DataTypeEnum[] values;
        for (DataTypeEnum dataTypeEnum : values()) {
            if (ScaleTypeEnum.HH00 == scaleTypeEnum) {
                if (dataTypeEnum.hValue() == i) {
                    return dataTypeEnum;
                }
            } else if (dataTypeEnum.value() == i) {
                return dataTypeEnum;
            }
        }
        return null;
    }

    public int value() {
        return this.value;
    }

    public int hValue() {
        return this.hValue;
    }

}
