package com.wmdigit.transfer.constant;

public enum DateUnitEnum {
    DAY(0, "day"),
    DATE(1, "date");

    private String unit;
    private int value;

    private DateUnitEnum(int i, String str) {
        this.value = i;
        this.unit = str;
    }

    public static DateUnitEnum fromValue(int i) {
        DateUnitEnum[] values;
        for (DateUnitEnum dateUnitEnum : values()) {
            if (dateUnitEnum.value() == i) {
                return dateUnitEnum;
            }
        }
        return null;
    }

    public int value() {
        return this.value;
    }

    public String unit() {
        return this.unit;
    }

}
