package com.wmdigit.transfer.converter.hh;


import com.wmdigit.transfer.constant.DateUnitEnum;
import com.wmdigit.transfer.converter.BeanConverter;
import com.wmdigit.transfer.domain.Plu;

import java.io.UnsupportedEncodingException;
import java.nio.ByteBuffer;

public class PluHhConverter implements BeanConverter<Plu> {
    public ByteBuffer fromBean(Plu plu) {
        return null;
    }

    public Plu toBean(ByteBuffer byteBuffer) throws UnsupportedEncodingException {
        ByteBuffer byteBuffer2 = byteBuffer;
        Plu plu = new Plu();
        plu.setPluNo(byteBuffer.getInt());
        plu.setItemNo(CC.bytesToText(byteBuffer2, 16));
        plu.setDeptNo(byteBuffer.getInt());
        plu.setGroupNo(byteBuffer.getInt());
        plu.setNameTextA(CC.doubleBytesToText(byteBuffer2, 28));
        plu.setUnitPriceA(byteBuffer.getInt());
        plu.setUnitPriceB(byteBuffer.getInt());
        plu.setLabelNoA(byteBuffer.get());
        plu.setLabelNoB(byteBuffer.get());
        plu.setLabelNoC(byteBuffer.get());
        plu.setGraphicNoA(String.valueOf(byteBuffer.get()));
        plu.setGraphicNoB(String.valueOf(byteBuffer.get()));
        plu.setGraphicNoC(String.valueOf(byteBuffer.get()));
        plu.setPriceUnitA(byteBuffer.get());
        plu.setPriceUnitB(plu.getPriceUnitA());
        byteBuffer.get();
        plu.setFixWeight((double) byteBuffer.getInt());
        plu.setBarcodeNo(byteBuffer.getInt());
        plu.setTareNoA(byteBuffer.getInt());
        plu.setPriceUnitDesA(CC.doubleBytesToText(byteBuffer2, 4));
        plu.setPriceUnitDesB(plu.getPriceUnitDesA());
        byte b = byteBuffer.get();
        byte b2 = byteBuffer.get();
        short s = byteBuffer.getShort();
        boolean z = false;
        String str = "20%1$s-%2$02d-%3$02d %4$02d:%5$02d:%6$02d";
        String format = String.format(str, new Object[]{Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get())});
        plu.setPrintPackedDate(b != 0);
        String str2 = "";
        if (b2 == 0) {
            StringBuilder sb = new StringBuilder();
            sb.append(str2);
            sb.append(s);
            plu.setPackedDate(sb.toString());
            plu.setPackedDateUnit(DateUnitEnum.DAY.unit());
        } else {
            plu.setPackedDate(format);
            plu.setPackedDateUnit(DateUnitEnum.DATE.unit());
        }
        byte b3 = byteBuffer.get();
        byte b4 = byteBuffer.get();
        short s2 = byteBuffer.getShort();
        String format2 = String.format(str, new Object[]{Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get())});
        plu.setPrintSellByDate(b3 != 0);
        if (b4 == 0) {
            StringBuilder sb2 = new StringBuilder();
            sb2.append(str2);
            sb2.append(s2);
            plu.setSellByDate(sb2.toString());
            plu.setSellByDateUnit(DateUnitEnum.DAY.unit());
        } else {
            plu.setSellByDate(format2);
            plu.setSellByDateUnit(DateUnitEnum.DATE.unit());
        }
        byte b5 = byteBuffer.get();
        byte b6 = byteBuffer.get();
        short s3 = byteBuffer.getShort();
        String format3 = String.format(str, new Object[]{Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get())});
        plu.setPrintBestBeforeDate(b5 != 0);
        if (b6 == 0) {
            StringBuilder sb3 = new StringBuilder();
            sb3.append(str2);
            sb3.append(s3);
            plu.setBestBeforeDate(sb3.toString());
            plu.setBestBeforeDateUnit(DateUnitEnum.DAY.unit());
        } else {
            plu.setBestBeforeDate(format3);
            plu.setBestBeforeDateUnit(DateUnitEnum.DATE.unit());
        }
        byteBuffer.getShort();
        plu.setEtNo(byteBuffer.getInt());
        plu.setNutritionNo(byteBuffer.getInt());
        plu.setSpecialPriceStartDate(String.format(str, new Object[]{Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get())}));
        plu.setSpecialPriceEndDate(String.format(str, new Object[]{Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get()), Byte.valueOf(byteBuffer.get())}));
        plu.setSpecialPrice((double) byteBuffer.getInt());
        byte b7 = byteBuffer.get();
        plu.setPriceChangeFlagA((b7 & 1) == 1);
        plu.setPriceChangeFlagB(plu.isPriceChangeFlagA());
        plu.setDiscountFlagA(((b7 >> 1) & 1) == 1);
        plu.setDiscountFlagB(plu.isDiscountFlagA());
        plu.setSpecialPrice(((b7 >> 2) & 1) == 1);
        if (((b7 >> 3) & 1) == 1) {
            z = true;
        }
        plu.setTraceable(z);
        return plu;
    }

    public Plu toDeleteBean(ByteBuffer byteBuffer) {
        Plu plu = new Plu(byteBuffer.getInt());
        byteBuffer.getInt();
        byteBuffer.getInt();
        return plu;
    }
}
