package com.wmdigit.transfer.domain;


import com.wmdigit.transfer.constant.DateUnitEnum;
import com.wmdigit.transfer.constant.PrintDateFormatEnum;

public class Plu implements DataBean {
    public static final String DEFAULT_DATE_FORMAT = PrintDateFormatEnum.YYMMDD.format();
    public static final String DEFAULT_DATE_UNIT = DateUnitEnum.DAY.unit();
    private int barcodeNo;
    private String bestBeforeDate;
    private String bestBeforeDateFormat;
    private String bestBeforeDateUnit;
    private int deptNo;
    private boolean discountFlagA;
    private boolean discountFlagB;
    private int etNo;
    private double fixWeight;
    private String graphicNoA;
    private String graphicNoB;
    private String graphicNoC;
    private int groupNo;
    private boolean isPrintBestBeforeDate = true;
    private boolean isPrintPackedDate = true;
    private boolean isPrintSellByDate = true;
    private boolean isSpecialPrice;
    private boolean isTraceable;
    private String itemNo;
    private int labelNoA;
    private int labelNoB;
    private int labelNoC;
    private String nameTextA;
    private String nameTextB;
    private int nutritionNo;
    private String packedDate;
    private String packedDateFormat;
    private String packedDateUnit;
    private int pluNo;
    private boolean priceChangeFlagA;
    private boolean priceChangeFlagB;
    private int priceRuleNo;
    private int priceUnitA;
    private int priceUnitB;
    private String priceUnitDesA;
    private String priceUnitDesB;
    private int safeHandingNo;
    private String sellByDate;
    private String sellByDateFormat;
    private String sellByDateUnit;
    private double specialPrice;
    private String specialPriceEndDate;
    private String specialPriceStartDate;
    private int tareNoA;
    private int unitPriceA;
    private int unitPriceB;

    public Plu() {
        String str = DEFAULT_DATE_UNIT;
        this.packedDateUnit = str;
        this.sellByDateUnit = str;
        this.bestBeforeDateUnit = str;
        String str2 = DEFAULT_DATE_FORMAT;
        this.packedDateFormat = str2;
        this.sellByDateFormat = str2;
        this.bestBeforeDateFormat = str2;
    }

    public Plu(int i) {
        String str = DEFAULT_DATE_UNIT;
        this.packedDateUnit = str;
        this.sellByDateUnit = str;
        this.bestBeforeDateUnit = str;
        String str2 = DEFAULT_DATE_FORMAT;
        this.packedDateFormat = str2;
        this.sellByDateFormat = str2;
        this.bestBeforeDateFormat = str2;
        this.pluNo = i;
    }

    public int getDeptNo() {
        return this.deptNo;
    }

    public void setDeptNo(int i) {
        this.deptNo = i;
    }

    public int getPluNo() {
        return this.pluNo;
    }

    public void setPluNo(int i) {
        this.pluNo = i;
    }

    public String getItemNo() {
        return this.itemNo;
    }

    public void setItemNo(String str) {
        this.itemNo = str;
    }

    public String getNameTextA() {
        return this.nameTextA;
    }

    public void setNameTextA(String str) {
        this.nameTextA = str;
    }

    public String getNameTextB() {
        return this.nameTextB;
    }

    public void setNameTextB(String str) {
        this.nameTextB = str;
    }

    public int getUnitPriceA() {
        return this.unitPriceA;
    }

    public void setUnitPriceA(int i) {
        this.unitPriceA = i;
    }

    public boolean isPriceChangeFlagA() {
        return this.priceChangeFlagA;
    }

    public void setPriceChangeFlagA(boolean z) {
        this.priceChangeFlagA = z;
    }

    public boolean isDiscountFlagA() {
        return this.discountFlagA;
    }

    public void setDiscountFlagA(boolean z) {
        this.discountFlagA = z;
    }

    public int getPriceUnitA() {
        return this.priceUnitA;
    }

    public void setPriceUnitA(int i) {
        this.priceUnitA = i;
    }

    public String getPriceUnitDesA() {
        return this.priceUnitDesA;
    }

    public void setPriceUnitDesA(String str) {
        this.priceUnitDesA = str;
    }

    public int getUnitPriceB() {
        return this.unitPriceB;
    }

    public void setUnitPriceB(int i) {
        this.unitPriceB = i;
    }

    public boolean isPriceChangeFlagB() {
        return this.priceChangeFlagB;
    }

    public void setPriceChangeFlagB(boolean z) {
        this.priceChangeFlagB = z;
    }

    public boolean isDiscountFlagB() {
        return this.discountFlagB;
    }

    public void setDiscountFlagB(boolean z) {
        this.discountFlagB = z;
    }

    public int getPriceUnitB() {
        return this.priceUnitB;
    }

    public void setPriceUnitB(int i) {
        this.priceUnitB = i;
    }

    public String getPriceUnitDesB() {
        return this.priceUnitDesB;
    }

    public void setPriceUnitDesB(String str) {
        this.priceUnitDesB = str;
    }

    public int getLabelNoA() {
        return this.labelNoA;
    }

    public void setLabelNoA(int i) {
        this.labelNoA = i;
    }

    public int getLabelNoB() {
        return this.labelNoB;
    }

    public void setLabelNoB(int i) {
        this.labelNoB = i;
    }

    public int getLabelNoC() {
        return this.labelNoC;
    }

    public void setLabelNoC(int i) {
        this.labelNoC = i;
    }

    public int getEtNo() {
        return this.etNo;
    }

    public void setEtNo(int i) {
        this.etNo = i;
    }

    public int getTareNoA() {
        return this.tareNoA;
    }

    public void setTareNoA(int i) {
        this.tareNoA = i;
    }

    public int getGroupNo() {
        return this.groupNo;
    }

    public void setGroupNo(int i) {
        this.groupNo = i;
    }

    public double getFixWeight() {
        return this.fixWeight;
    }

    public void setFixWeight(double d) {
        this.fixWeight = d;
    }

    public String getPackedDateUnit() {
        return this.packedDateUnit;
    }

    public void setPackedDateUnit(String str) {
        this.packedDateUnit = str;
    }

    public String getSellByDateUnit() {
        return this.sellByDateUnit;
    }

    public void setSellByDateUnit(String str) {
        this.sellByDateUnit = str;
    }

    public String getBestBeforeDateUnit() {
        return this.bestBeforeDateUnit;
    }

    public void setBestBeforeDateUnit(String str) {
        this.bestBeforeDateUnit = str;
    }

    public String getPackedDateFormat() {
        return this.packedDateFormat;
    }

    public void setPackedDateFormat(String str) {
        this.packedDateFormat = str;
    }

    public String getSellByDateFormat() {
        return this.sellByDateFormat;
    }

    public void setSellByDateFormat(String str) {
        this.sellByDateFormat = str;
    }

    public String getBestBeforeDateFormat() {
        return this.bestBeforeDateFormat;
    }

    public void setBestBeforeDateFormat(String str) {
        this.bestBeforeDateFormat = str;
    }

    public String getPackedDate() {
        return this.packedDate;
    }

    public void setPackedDate(String str) {
        this.packedDate = str;
    }

    public String getSellByDate() {
        return this.sellByDate;
    }

    public void setSellByDate(String str) {
        this.sellByDate = str;
    }

    public String getBestBeforeDate() {
        return this.bestBeforeDate;
    }

    public void setBestBeforeDate(String str) {
        this.bestBeforeDate = str;
    }

    public boolean isPrintPackedDate() {
        return this.isPrintPackedDate;
    }

    public void setPrintPackedDate(boolean z) {
        this.isPrintPackedDate = z;
    }

    public boolean isPrintSellByDate() {
        return this.isPrintSellByDate;
    }

    public void setPrintSellByDate(boolean z) {
        this.isPrintSellByDate = z;
    }

    public boolean isPrintBestBeforeDate() {
        return this.isPrintBestBeforeDate;
    }

    public void setPrintBestBeforeDate(boolean z) {
        this.isPrintBestBeforeDate = z;
    }

    public boolean isTraceable() {
        return this.isTraceable;
    }

    public void setTraceable(boolean z) {
        this.isTraceable = z;
    }

    public int getPriceRuleNo() {
        return this.priceRuleNo;
    }

    public void setPriceRuleNo(int i) {
        this.priceRuleNo = i;
    }

    public int getBarcodeNo() {
        return this.barcodeNo;
    }

    public void setBarcodeNo(int i) {
        this.barcodeNo = i;
    }

    public int getNutritionNo() {
        return this.nutritionNo;
    }

    public void setNutritionNo(int i) {
        this.nutritionNo = i;
    }

    public String getGraphicNoA() {
        return this.graphicNoA;
    }

    public void setGraphicNoA(String str) {
        this.graphicNoA = str;
    }

    public String getGraphicNoB() {
        return this.graphicNoB;
    }

    public void setGraphicNoB(String str) {
        this.graphicNoB = str;
    }

    public String getGraphicNoC() {
        return this.graphicNoC;
    }

    public void setGraphicNoC(String str) {
        this.graphicNoC = str;
    }

    public int getSafeHandingNo() {
        return this.safeHandingNo;
    }

    public void setSafeHandingNo(int i) {
        this.safeHandingNo = i;
    }

    public double getSpecialPrice() {
        return this.specialPrice;
    }

    public void setSpecialPrice(double d) {
        this.specialPrice = d;
    }

    public String getSpecialPriceStartDate() {
        return this.specialPriceStartDate;
    }

    public void setSpecialPriceStartDate(String str) {
        this.specialPriceStartDate = str;
    }

    public String getSpecialPriceEndDate() {
        return this.specialPriceEndDate;
    }

    public void setSpecialPriceEndDate(String str) {
        this.specialPriceEndDate = str;
    }

    public boolean isSpecialPrice() {
        return this.isSpecialPrice;
    }

    public void setSpecialPrice(boolean z) {
        this.isSpecialPrice = z;
    }

    @Override
    public String toString() {
        return "Plu{" +
                "barcodeNo=" + barcodeNo +
                ", bestBeforeDate='" + bestBeforeDate + '\'' +
                ", bestBeforeDateFormat='" + bestBeforeDateFormat + '\'' +
                ", bestBeforeDateUnit='" + bestBeforeDateUnit + '\'' +
                ", deptNo=" + deptNo +
                ", discountFlagA=" + discountFlagA +
                ", discountFlagB=" + discountFlagB +
                ", etNo=" + etNo +
                ", fixWeight=" + fixWeight +
                ", graphicNoA='" + graphicNoA + '\'' +
                ", graphicNoB='" + graphicNoB + '\'' +
                ", graphicNoC='" + graphicNoC + '\'' +
                ", groupNo=" + groupNo +
                ", isPrintBestBeforeDate=" + isPrintBestBeforeDate +
                ", isPrintPackedDate=" + isPrintPackedDate +
                ", isPrintSellByDate=" + isPrintSellByDate +
                ", isSpecialPrice=" + isSpecialPrice +
                ", isTraceable=" + isTraceable +
                ", itemNo='" + itemNo + '\'' +
                ", labelNoA=" + labelNoA +
                ", labelNoB=" + labelNoB +
                ", labelNoC=" + labelNoC +
                ", nameTextA='" + nameTextA + '\'' +
                ", nameTextB='" + nameTextB + '\'' +
                ", nutritionNo=" + nutritionNo +
                ", packedDate='" + packedDate + '\'' +
                ", packedDateFormat='" + packedDateFormat + '\'' +
                ", packedDateUnit='" + packedDateUnit + '\'' +
                ", pluNo=" + pluNo +
                ", priceChangeFlagA=" + priceChangeFlagA +
                ", priceChangeFlagB=" + priceChangeFlagB +
                ", priceRuleNo=" + priceRuleNo +
                ", priceUnitA=" + priceUnitA +
                ", priceUnitB=" + priceUnitB +
                ", priceUnitDesA='" + priceUnitDesA + '\'' +
                ", priceUnitDesB='" + priceUnitDesB + '\'' +
                ", safeHandingNo=" + safeHandingNo +
                ", sellByDate='" + sellByDate + '\'' +
                ", sellByDateFormat='" + sellByDateFormat + '\'' +
                ", sellByDateUnit='" + sellByDateUnit + '\'' +
                ", specialPrice=" + specialPrice +
                ", specialPriceEndDate='" + specialPriceEndDate + '\'' +
                ", specialPriceStartDate='" + specialPriceStartDate + '\'' +
                ", tareNoA=" + tareNoA +
                ", unitPriceA=" + unitPriceA +
                ", unitPriceB=" + unitPriceB +
                '}';
    }
}

