package com.wmdigit.socketdemo;


import java.io.Serializable;
import java.util.Date;
import java.util.Objects;

public class Commodity implements Serializable {
    private Integer plu;
    private String tradeName;
    private String name;
    private String articleNumber;
    private Integer number;
    private Double price;
    private Integer tagNumber;
    private String unit;
    private Integer tare;
    private Integer suggestDate;
    private Integer expirationDate;
    private Integer discount;
    private Integer unitPrice;
    private Integer information;
    private Integer pricingManner;
    private Date startDate;
    private Date endDate;
    private String startTime;
    private String endTime;
    private Double sale;
    private Integer saleType;

    public Commodity() {
    }

    public Integer getPricingManner() {
        return this.pricingManner;
    }

    public void setPricingManner(Integer pricingManner) {
        this.pricingManner = pricingManner;
    }

    public Integer getSaleType() {
        return this.saleType;
    }

    public void setSaleType(Integer saleType) {
        this.saleType = saleType;
    }

    public Integer getDiscount() {
        return this.discount;
    }

    public void setDiscount(Integer discount) {
        this.discount = discount;
    }

    public Integer getUnitPrice() {
        return this.unitPrice;
    }

    public void setUnitPrice(Integer unitPrice) {
        this.unitPrice = unitPrice;
    }

    public Integer getPlu() {
        return this.plu;
    }

    public void setPlu(Integer plu) {
        this.plu = plu;
    }

    public String getTradeName() {
        return this.tradeName;
    }

    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    public String getName() {
        return this.name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getArticleNumber() {
        return this.articleNumber;
    }

    public void setArticleNumber(String articleNumber) {
        this.articleNumber = articleNumber;
    }

    public Integer getNumber() {
        return this.number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Double getPrice() {
        return this.price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getTagNumber() {
        return this.tagNumber;
    }

    public void setTagNumber(Integer tagNumber) {
        this.tagNumber = tagNumber;
    }

    public String getUnit() {
        return this.unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public Integer getTare() {
        return this.tare;
    }

    public void setTare(Integer tare) {
        this.tare = tare;
    }

    public Integer getSuggestDate() {
        return this.suggestDate;
    }

    public void setSuggestDate(Integer suggestDate) {
        this.suggestDate = suggestDate;
    }

    public Integer getExpirationDate() {
        return this.expirationDate;
    }

    public void setExpirationDate(Integer expirationDate) {
        this.expirationDate = expirationDate;
    }

    public Integer getInformation() {
        return this.information;
    }

    public void setInformation(Integer information) {
        this.information = information;
    }

    public Date getStartDate() {
        return this.startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return this.endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public String getStartTime() {
        return this.startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return this.endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Double getSale() {
        return this.sale;
    }

    public void setSale(Double sale) {
        this.sale = sale;
    }

    public boolean equals(Object o) {
        if (this == o) {
            return true;
        } else if (o != null && this.getClass() == o.getClass()) {
            Commodity commodity = (Commodity)o;
            return Objects.equals(this.plu, commodity.plu) && Objects.equals(this.tradeName, commodity.tradeName) && Objects.equals(this.name, commodity.name) && Objects.equals(this.articleNumber, commodity.articleNumber) && Objects.equals(this.number, commodity.number) && Objects.equals(this.price, commodity.price) && Objects.equals(this.tagNumber, commodity.tagNumber) && Objects.equals(this.unit, commodity.unit) && Objects.equals(this.tare, commodity.tare) && Objects.equals(this.suggestDate, commodity.suggestDate) && Objects.equals(this.expirationDate, commodity.expirationDate) && Objects.equals(this.discount, commodity.discount) && Objects.equals(this.unitPrice, commodity.unitPrice) && Objects.equals(this.information, commodity.information) && Objects.equals(this.pricingManner, commodity.pricingManner) && Objects.equals(this.startDate, commodity.startDate) && Objects.equals(this.endDate, commodity.endDate) && Objects.equals(this.startTime, commodity.startTime) && Objects.equals(this.endTime, commodity.endTime) && Objects.equals(this.sale, commodity.sale) && Objects.equals(this.saleType, commodity.saleType);
        } else {
            return false;
        }
    }

    public int hashCode() {
        return Objects.hash(new Object[]{this.plu, this.tradeName, this.name, this.articleNumber, this.number, this.price, this.tagNumber, this.unit, this.tare, this.suggestDate, this.expirationDate, this.discount, this.unitPrice, this.information, this.pricingManner, this.startDate, this.endDate, this.startTime, this.endTime, this.sale, this.saleType});
    }

    public String toString() {
        return "Commodity{plu=" + this.plu + ", tradeName='" + this.tradeName + '\'' + ", name='" + this.name + '\'' + ", articleNumber=" + this.articleNumber + ", number=" + this.number + ", price=" + this.price + ", tagNumber=" + this.tagNumber + ", unit='" + this.unit + '\'' + ", tare=" + this.tare + ", suggestDate=" + this.suggestDate + ", expirationDate=" + this.expirationDate + ", discount=" + this.discount + ", unitPrice=" + this.unitPrice + ", information=" + this.information + ", pricingManner=" + this.pricingManner + ", startDate=" + this.startDate + ", endDate=" + this.endDate + ", startTime='" + this.startTime + '\'' + ", endTime='" + this.endTime + '\'' + ", sale=" + this.sale + ", saleType=" + this.saleType + '}';
    }

    public String toChString() {
        return "Commodity{PUL号=" + this.plu + ", 商品名称='" + this.tradeName + '\'' + ", 第二品名='" + this.name + '\'' + ", 货号=" + this.articleNumber + ", 商品组号=" + this.number + ", 单价=" + this.price + ", 标签号=" + this.tagNumber + ", 计价单位='" + this.unit + '\'' + ", 皮重号=" + this.tare + ", 推荐日期=" + this.suggestDate + ", 保质日期=" + this.expirationDate + ", 是否允许打折=" + this.discount + ", 是否允许修改单价=" + this.unitPrice + ", 附加信息号=" + this.information + ", 计价方式=" + this.pricingManner + ", 特价开始日期=" + this.startDate + ", 特价结束日期=" + this.endDate + ", 特价开始时间=" + this.startTime + ", 特价结束时间=" + this.endTime + ", 特价=" + this.sale + ", 特价类型=" + this.saleType + '}';
    }
}
