package com.wmdigit.socketdemo;

import android.util.Log;

import com.wmdigit.transfer.ScaleTransferListener;
import com.wmdigit.transfer.domain.Acc;
import com.wmdigit.transfer.domain.DataBean;
import com.wmdigit.transfer.domain.Plu;

import java.util.ArrayList;
import java.util.List;

public class ScaleTransfer2 implements ScaleTransferListener {
    String TAG = ScaleTransfer2.class.getName();
    private final CountDownTimerUtils timerUtils;
    private boolean isTimer = false;
    private List<Plu> pluList = new ArrayList<>();

    public ScaleTransfer2() {
        timerUtils = CountDownTimerUtils.getInstance();
        timerUtils.setTime(new TimerListener() {
            @Override
            public void timeFinish() {
                isTimer = false;
                for (Plu plu : pluList) {
                    Log.d("TSG-timeFinish", plu.toString());
                }
            }
        });
    }

    @Override
    public void onConnected() {

    }

    @Override
    public void onDataReceived(String str) {

    }

    @Override
    public void onException(String str) {

    }

    @Override
    public void onIOException(String str) {

    }

    @Override
    public void onStart(String str) {

    }

    @Override
    public void pluList(List<DataBean> dataBeans) {

        if (dataBeans.size() < 8) {
            isTimer = false;
            timerUtils.cancelTime();
            for (DataBean item : dataBeans) {
                if (item instanceof Plu) {
                    Plu plu = (Plu) item;
                    pluList.add(plu);
                }
            }
            for (Plu plu : pluList) {
                Log.d("TSG-plu>8", plu.toString());
            }
        } else {
            if (!isTimer) {
                isTimer = true;
                pluList.clear();
            } else {
                timerUtils.cancelTime();
            }
            timerUtils.startTime();
            for (DataBean item : dataBeans) {
                if (item instanceof Plu) {
                    Plu plu = (Plu) item;
                    pluList.add(plu);
                }
            }
        }
//        for (DataBean item : dataBeans) {
//            if (item instanceof Plu) {
//                Plu plu = (Plu) item;
////            String string = socketProduct.toChString();
//                Log.d(TAG, plu.toString());
//            } else if (item instanceof Acc) {
//                Acc acc = (Acc) item;
//                Log.d(TAG, acc.toString());
//            }
//        }
    }
}
