package com.wmdigit.transfer.constant;

public enum PrintDateFormatEnum {

    YYMMDD(1, "YYMMDD"),
    DDMMYY(4, "DDMMYY"),
    MMDD(2, "MMDD"),
    DAYS(3, "Days"),
    MMDDYY(7, "MMDDYY");

    private String format;
    private int value;

    private PrintDateFormatEnum(int i, String str) {
        this.value = i;
        this.format = str;
    }

    public static PrintDateFormatEnum fromValue(int i) {
        PrintDateFormatEnum[] values;
        for (PrintDateFormatEnum printDateFormatEnum : values()) {
            if (printDateFormatEnum.value() == i) {
                return printDateFormatEnum;
            }
        }
        return null;
    }

    public int value() {
        return this.value;
    }

    public String format() {
        return this.format;
    }

}
