package com.wmdigit.transfer.domain;


import com.wmdigit.transfer.constant.ControlTypeEnum;
import com.wmdigit.transfer.constant.DataTypeEnum;
import com.wmdigit.transfer.constant.ScaleTypeEnum;

public class CommandHeader implements DomainBean {
    private byte cmdrsp;
    private short command;
    private short control;
    private ControlTypeEnum controlType;
    private DataTypeEnum dataType;
    private short departno;
    private byte deviceno;
    private boolean isCompressed;
    private short pageLength;
    private short pageNum;
    private ScaleTypeEnum scaleType;
    private byte start;
    private short totalLength;

    public byte getStart() {
        return this.start;
    }

    public void setStart(byte b) {
        this.start = b;
    }

    public short getTotalLength() {
        return this.totalLength;
    }

    public void setTotalLength(short s) {
        this.totalLength = s;
    }

    public short getPageNum() {
        return this.pageNum;
    }

    public void setPageNum(short s) {
        this.pageNum = s;
    }

    public short getPageLength() {
        return this.pageLength;
    }

    public void setPageLength(short s) {
        this.pageLength = s;
    }

    public byte getCmdrsp() {
        return this.cmdrsp;
    }

    public void setCmdrsp(byte b) {
        this.cmdrsp = b;
    }

    public short getCommand() {
        return this.command;
    }

    public void setCommand(short s) {
        this.command = s;
    }

    public short getControl() {
        return this.control;
    }

    public void setControl(short s) {
        this.control = s;
    }

    public short getDepartno() {
        return this.departno;
    }

    public void setDepartno(short s) {
        this.departno = s;
    }

    public byte getDeviceno() {
        return this.deviceno;
    }

    public void setDeviceno(byte b) {
        this.deviceno = b;
    }

    public ScaleTypeEnum getScaleType() {
        return this.scaleType;
    }

    public void setScaleType(ScaleTypeEnum scaleTypeEnum) {
        this.scaleType = scaleTypeEnum;
    }

    public ControlTypeEnum getControlType() {
        return this.controlType;
    }

    public void setControlType(ControlTypeEnum controlTypeEnum) {
        this.controlType = controlTypeEnum;
    }

    public DataTypeEnum getDataType() {
        return this.dataType;
    }

    public void setDataType(DataTypeEnum dataTypeEnum) {
        this.dataType = dataTypeEnum;
    }

    public boolean isCompressed() {
        return this.isCompressed;
    }

    public void setCompressed(boolean z) {
        this.isCompressed = z;
    }

    @Override
    public String toString() {
        return "CommandHeader{" +
                "cmdrsp=" + cmdrsp +
                ", command=" + command +
                ", control=" + control +
                ", controlType=" + controlType +
                ", dataType=" + dataType +
                ", departno=" + departno +
                ", deviceno=" + deviceno +
                ", isCompressed=" + isCompressed +
                ", pageLength=" + pageLength +
                ", pageNum=" + pageNum +
                ", scaleType=" + scaleType +
                ", start=" + start +
                ", totalLength=" + totalLength +
                '}';
    }
}
